# ClarityAbiFunction | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- ClarityAbiFunction

## Index

### Properties

- access
- args
- name
- outputs

## Properties

### access

access: "private" | "public" | "read_only"

- Defined in packages/transactions/src/contract-abi.ts:212

### args

args: { name: string; type: ClarityAbiType }[]

- Defined in packages/transactions/src/contract-abi.ts:213

### name

name: string

- Defined in packages/transactions/src/contract-abi.ts:211

### outputs

outputs: { type: ClarityAbiType }

- Defined in packages/transactions/src/contract-abi.ts:217

#### Type declaration

- ##### type: ClarityAbiType

Generated using TypeDoc